package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.AboutUs;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.AboutUsMapper")
public interface AboutUsMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(AboutUs record);

    AboutUs selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(AboutUs record);

    List<AboutUs> queryAllAboutUs(AboutUs record);

    List<AboutUs> queryAboutUsByPage(Map<String, Object> parameter);

    int delete(String id);

    AboutUs queryAboutUs(AboutUs record);

    List<AboutUs> query(AboutUs record);
}

